gnutls_session_channel_binding(3)

NAME
gnutls_session_channel_binding - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_channel_binding(gnutls_session_t session, gnutls_channel_binding_t cbtype, gnutls_datum_t * cb);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_channel_binding_t cbtype
    an gnutls_channel_binding_t enumeration type

gnutls_datum_t * cb
    output buffer array with data

DESCRIPTION
Extract given channel binding data of the cbtype (e.g., GNUTLS_CB_TLS_UNIQUE) type.

RETURNS
GNUTLS_E_SUCCESS on success, GNUTLS_E_UNIMPLEMENTED_FEATURE if the cbtype is unsupported, GNUTLS_E_CHANNEL_BINDING_NOT_AVAILABLE if the data is not currently available, or an error code.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.